Subject: Re: Feedback for Levente
From: "Heta Nyrhinen (HNYR)" <[email-masked]>
To: Pritish Nandi <[email-masked]>
Cc: abhishek kumar <[email-masked]>, Saurabh Dadu <[email-masked]>, deeksha <[email-masked]>, "Sara Aknooni (SRAK)" <[email-masked]>
Date: Wed, 28 Jul 2021 15:02:49 +0000

Hi Pritish,

This is what I sent to Deeksha and Saurabh. Perhaps next time you can pass the message on internally, if needed? It wasn’t a review, I listened to the call because I wanted to know about the issue reported. Swyx has been critical for the German market for quite some time.

I listened to the call in ticket #164223 handled very poorly by Levente.

His attitude was very arrogant and dismissive towards the customer. The customer, who was quite knowledgeable about the products, got increasingly irritated by him when the call went on. You don’t need to be a German speaker to hear it in their tone of voices.

Levente had difficulties understanding the issue and the customer had to describe it several times. Levente also guided him incorrectly in EPOS Manager. The customer has 500 headsets and he mentioned having previous tickets with us, but none of this was addressed properly by the agent.

On 28 Jul 2021, at 16.57, Pritish Nandi <[email-masked]> wrote:

This message comes from outside of the corporate network. Please do not click links or open attachments unless you recognize the source of this e-mail and know the content is safe.

Hi Heta,

I have been just updated by Saurabh on Levente's performance on calls.

Could you please share your observations? Also it would be helpful if you could share the ticket numbers or calls details.

I just spoke to him and informed him about the situation. Abhishek already have had a long conversation with him on the audits he had done for him.

However, I would appreciate your feedback on the callsso that we can coach him further.

Regards,
Pritish Nandi